Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Jul 2014, 02:01
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Chromium Browser 12.0.716.0 for Wary 511 [SFS]
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Author Message
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Sun 13 Mar 2011, 13:48    Post subject:  Chromium Browser 12.0.716.0 for Wary 511 [SFS]  

* THIS SFS IS NOW OUT-DATED AND HAS BEEN REMOVED FROM MY SERVER DEC 2011 *

However, if you really want it you can get it at:
http://uploadingit.com/file/xfixwdxovkvtiyeg/chromium12.0.716.0-79490w5.sfs

Chromium is the open source web browser project from which Google Chrome draws its source code. Chromium does not contain the RLZ tracking software found in Google Chrome. It only supports Vorbis, Theora and WebM codecs for the HTML5 audio and video tags, while Google Chrome supports AAC and MP3 in addition to these.

This SFS is a stable, recent nightly build (12.0.716.0-79490) together with additional libraries tested with Wary 511 and Quirky 130. It also works on my hardware with Lucid Puppy 525. If you have small RAM it probably will not work. It contains a custom desktop file, /usr/share/applications/chromium.desktop.

Please test and let me know if it breaks anything for you! Backup your save file before you try this. If you have previously installed a Google Chrome pet, deb or SFS please uninstall before you start. Also uninstall any google-libs pet you have previously installed. This SFS contains all additional libraries needed for Wary 5.1.1 and Quirky 130.

Last edited by Terryphi on Mon 30 Jul 2012, 09:57; edited 12 times in total
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1322
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Sun 13 Mar 2011, 23:54    Post subject:  

I installed it, ran fine but on a reboot I couldn't run X , keeps going back to a prompt, xorgwizard don't help either, I tried again this time extracting the sfs and copied everything except /lib and /usr/lib as I already had a previous version of google-chrome that I had removed sometime ago and the lib file for it are still installed seems to be working ok now.

I'm using it to post this so all is good for the time being.
If my memory serves me correctly, I think I had google-libs-8 from http://murga-linux.com/puppy/viewtopic.php?t=63320

I'm using it on Quirky 1.2.0 NOP but that may not mean much as
I have added and removed quite a lot of files modifying it.
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1322
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 14 Mar 2011, 01:29    Post subject:  

update to my last post , it appears that it needs the the lib files in /lib from the sfs, the /usr/lib files are the problem.
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Mon 14 Mar 2011, 02:17    Post subject:  

Geoffrey: Thanks for testing. The SFS comes with all the libs needed for Wary 511 and Quirky 130. I should have advised to remove any google-libs pets.
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1322
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 14 Mar 2011, 23:56    Post subject:  

I removed all google-chrome lib files and tried from scratch again, still no go, won't start X, if I copy the google-chrome /usr/lib files over the top of yours it works but I find that I have broken some libs files as alsamixer no longer functions it peaks the cpu at 100%, looks as if I'll have to give it a miss as it don't seem to like quirky 1.2.0, or revert to using google-chrome, oh, another thing it don't appear to have a icon on the taskbar only a generic app box.

Edit: It must be lib thing as google-chrome still gives the same result so if I use the /usr/lib files from google-chrome it works just as well, seems like it might be a little fast too.
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Tue 15 Mar 2011, 08:50    Post subject:  

Geoffrey: Yes library versions are a big problem with Chromium/Google Chrome because of the number of dependencies. It makes it hard (impossible!) to create a version that suits many Puppy versions. I created it to work with Wary 5.1.1 but if it works with other versions that is a bonus! I assumed the libraries that were present and only added others that were essential.

Thanks for pointing out the lack of the taskbar icon. I have fixed it and uploaded the SFS again.

I've noticed something else too. If it detects an out-of-date version of flash it wants to update it. I haven't tried letting it run yet so I don't know what effect it would have.

Edit: All Chromium does is take you to the Adobe Flash download location where you are invited to select a download for manual installation.
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 23 Mar 2011, 12:13    Post subject:  

Ah so it is made for Wary.5.1.1 that is essential to know then Smile

I mostly only use Snowpup and Fluppy and maybe Lupu 256 but sure I can try Wary too. Hm Smile

How do I tell Wary to make use of this sfs then?

I failed to get that warystuff thing Smile One should still think Puppy Linux

I log out now and test it in wary and see if I notice any differences.

How do I tell it to use the sfs?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Wed 23 Mar 2011, 12:41    Post subject:  

nooby wrote:
Ah so it is made for Wary.5.1.1 that is essential to know then Smile

I mostly only use Snowpup and Fluppy and maybe Lupu 256 but sure I can try Wary too. Hm Smile

How do I tell Wary to make use of this sfs then?

I failed to get that warystuff thing Smile One should still think Puppy Linux

I log out now and test it in wary and see if I notice any differences.

How do I tell it to use the sfs?


Nooby: I cannot guarantee that it will work with anything other than Wary 511 or Quirky 130. I have only tested on these and it could possibly mess up your libraries with other versions. However, it also works OK on my tweaked versions of Luci25x and Lucid Puppy 5.20 but may not work on pristine versions of these.

Loading an SFS file is simple:

Put the SFS file at /mnt/home (which will normally be C:/ drive if you are dual booting with Windows.)

Menu>System>BootManager configure bootup> Choose extra SFS files to load at bootup

The SFS file will then be loaded after next boot.
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 23 Mar 2011, 13:01    Post subject:  

Thansks I test it in wary 511 then.

I am using Chrome 12 now. Typically they love to force things on us. They insist talking in Swedish just because I live there.

They even fail to check my English spelling Ha ha

And they complain that Flash is too old.

But I am in Puppy wary 511 now so I don't dare to accept teh Adobe version.

I would need a sfs or a pet version of Flash don't I?

What Flash version do you use and where do you get it? From the PPM?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Wed 23 Mar 2011, 14:13    Post subject:  

Adobe Flash has just been updated to version 10.2.153.1.

Go to http://get.adobe.com/flashplayer/ and download the tar.gz version to /my-documents or somewhere convenient. Click on it to unzip it and you will have libflashplayer.so. Now move libflashplayer.so to /usr/lib/mozilla/plugins overwriting the old version . You now have the latest flashplayer! Back it up and you can then also use it in any other Puppies you have.
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 23 Mar 2011, 14:28    Post subject:  

Terryphi wrote:
Adobe Flash has just been updated to version 10.2.153.1.

Go to http://get.adobe.com/flashplayer/ and download the tar.gz version to /my-documents or somewhere convenient. Click on it to unzip it and you will have libflashplayer.so. Now move libflashplayer.so to /usr/lib/mozilla/plugins overwriting the old version . You now have the latest flashplayer! Back it up and you can then also use it in any other Puppies you have.


Ooops that sounds easy when one knows how to. I don't trust my ability to read a description and to follow it without messing it up but I try to make a book mark and to get courage some day and try it out?

Are there no flashplayer pet to use instead?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Sat 26 Mar 2011, 10:35    Post subject:  

I have updated the SFS to Chromium browser version 12.0.716.0 (build 79490).

See first post in this thread for full details and download link.
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sat 26 Mar 2011, 10:44    Post subject:  

Terryphi wrote:
I have updated the SFS to Chromium browser version 12.0.716.0 (build 79490).

See first post in this thread for full details and download link.


does that one have the latest adobe flashplayer?

how do you get flashplayer going?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Sat 26 Mar 2011, 11:15    Post subject:  

nooby wrote:


does that one have the latest adobe flashplayer?

how do you get flashplayer going?


I expect users to already have a version of flashplayer installed. I have told you in this thread what to do if you want the latest flashplayer.
Back to top
View user's profile Send private message Visit poster's website 
Terryphi


Joined: 02 Jul 2008
Posts: 759
Location: West Wales, Britain.

PostPosted: Sat 26 Mar 2011, 12:25    Post subject:  

OK nooby, just for you, here is a pet of flashplugin version 10.2.153.1 .

LATER: I have removed this pet from my site because it is now an out-dated version of flash.

Go to http://get.adobe.com/flashplayer/ and download the tar.gz version to /my-documents or somewhere convenient. Click on it to unzip it and you will have libflashplayer.so. Now move libflashplayer.so to /usr/lib/mozilla/plugins overwriting the old version . You now have the latest flashplayer! Keep a copy of libflashplayer.so and you can then also use it in any other Puppies you have.

Last edited by Terryphi on Fri 15 Apr 2011, 02:30; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0841s ][ Queries: 12 (0.0063s) ][ GZIP on ]